﻿using System.Drawing;

namespace TestProject
{
    /// <summary>
    /// 포인트 데이터
    /// </summary>
    public class PointData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 위치
        /// </summary>
        public PointF Location;

        /// <summary>
        /// 클러스터 번호
        /// </summary>
        public int ClusterNumber;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PointData(location, clusterNumber)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="location">위치</param>
        /// <param name="clusterNumber">클러스터 번호</param>
        public PointData(PointF location, int clusterNumber)
        {
            Location      = location;
            ClusterNumber = clusterNumber;
        }

        #endregion
        #region 생성자 - PointData(x, y, clusterNumber)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="x">X</param>
        /// <param name="y">Y</param>
        /// <param name="clusterNumber">클러스터 번호</param>
        public PointData(float x, float y, int clusterNumber) : this(new PointF(x, y), clusterNumber)
        {
        }

        #endregion
    }
}